Bug 68212 - re-name LayerChromium border functions to reflect that they are only for debug use
Summary: re-name LayerChromium border functions to reflect that they are only for debu...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Shawn Singh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-15 19:31 PDT by Shawn Singh
Modified: 2011-10-11 16:49 PDT (History)
5 users (show)

See Also:


Attachments
Patch (5.09 KB, patch)
2011-09-15 20:09 PDT, Shawn Singh
no flags Details | Formatted Diff | Diff
Patch (6.40 KB, patch)
2011-09-16 10:18 PDT, Shawn Singh
no flags Details | Formatted Diff | Diff
Patch (6.20 KB, patch)
2011-09-18 22:25 PDT, Shawn Singh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shawn Singh 2011-09-15 19:31:57 PDT
Also re-named the corresponding functions in GraphicsLayerChromium.   In fact, is that level of indirection through static functions necessary?
Comment 1 Shawn Singh 2011-09-15 20:09:37 PDT
Created attachment 107589 [details]
Patch
Comment 2 James Robinson 2011-09-15 23:49:40 PDT
Comment on attachment 107589 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=107589&action=review

> Source/WebCore/platform/graphics/chromium/GraphicsLayerChromium.cpp:74
> -static void setLayerBorderColor(LayerChromium& layer, const Color& color)
> +static void setLayerDebugBorderColor(LayerChromium& layer, const Color& color)
>  {
> -    layer.setBorderColor(color);
> +    layer.setDebugBorderColor(color);
>  }
>  
> -static void clearBorderColor(LayerChromium& layer)
> +static void clearDebugBorderColor(LayerChromium& layer)
>  {
> -    layer.setBorderColor(static_cast<RGBA32>(0));
> +    layer.setDebugBorderColor(static_cast<RGBA32>(0));
>  }

I'm really deeply confused about why these functions exist - they seem pretty silly.  Why aren't we just calling the functions right on the layers?
Comment 3 James Robinson 2011-09-15 23:50:00 PDT
(In reply to comment #0)
> Also re-named the corresponding functions in GraphicsLayerChromium.   In fact, is that level of indirection through static functions necessary?

I think they shouldn't, IMO.  I'm not sure why they are there.
Comment 4 Shawn Singh 2011-09-16 10:18:28 PDT
Created attachment 107676 [details]
Patch
Comment 5 Shawn Singh 2011-09-16 10:22:49 PDT
I also removed the background color static functions.
Comment 6 WebKit Review Bot 2011-09-16 21:15:22 PDT
Comment on attachment 107676 [details]
Patch

Rejecting attachment 107676 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
graphics/chromium/GraphicsLayerChromium.cpp
patching file Source/WebCore/platform/graphics/chromium/LayerChromium.cpp
Hunk #1 succeeded at 326 (offset -55 lines).
patching file Source/WebCore/platform/graphics/chromium/LayerChromium.h
Hunk #1 FAILED at 176.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebCore/platform/graphics/chromium/LayerChromium.h.rej

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'James Robinson', u'--f..." exit_code: 1

Full output: http://queues.webkit.org/results/9729267
Comment 7 Shawn Singh 2011-09-18 22:25:14 PDT
Created attachment 107805 [details]
Patch
Comment 8 Shawn Singh 2011-09-18 22:27:17 PDT
Previous patch had a merge conflict.  This patch is essentially the same, made from a more. recent base
Comment 9 WebKit Review Bot 2011-09-19 02:18:40 PDT
Comment on attachment 107805 [details]
Patch

Clearing flags on attachment: 107805

Committed r95406: <http://trac.webkit.org/changeset/95406>
Comment 10 WebKit Review Bot 2011-09-19 02:18:44 PDT
All reviewed patches have been landed.  Closing bug.